@ECHO OFF

REM *** activemq_jarfix_m8.bat
REM *** Used as a wrapper for ant code activemq_jarfix_m8.xml.
REM *** Code locates SAS delivered version of Java and uses it to 
REM *** launch an Ant script to perform the required hotfix tasks.

setlocal
   
if "%~1"=="" (
   echo ERROR: No SASHOME path parameter was specified
   goto endfile
)

REM *** SASHOME path is required
set SASHOME=%1%
REM *** Get version without any surrounding quotes
set SASHOMETEMP=%SASHOME:"=%
REM *** Drop any trailing \ but retain surrounding quotes
if "%SASHOMETEMP:~-1%"=="\" set SASHOME="%SASHOMETEMP:~0,-1%"

if not exist "%SASHOMETEMP%" (
   echo ERROR: The specified path to SASHome is invalid
   echo        %SASHOMETEMP%
   goto endfile
) 

echo SASHOME = %SASHOMETEMP%

 
REM *** Config level path optional.
REM *** This is the path to a specific configuration level like E:\SASConfig\Lev1
if "%~2"=="" ( 
   set SCANFORCONFIG=auto
   echo Automatic level searching active
) else (
   set CONFIGLEVEL=%2%
   echo Configuration level directory entered manually
   if not exist "%CONFIGLEVEL%" (
      echo ERROR: The specified path to SASConfig level is invalid
      echo        %CONFIGLEVEL%
      goto endfile
   ) 
   echo CONFIGLEVEL = %CONFIGLEVEL%
)


REM *** Locate the SAS delivered JRE
findstr /b /c:"JREHOME" "%SASHOMETEMP%\sassw.config" > jre_temp.txt
set /p JRETEMP= < jre_temp.txt
set JRE=%JRETEMP:~8%
del jre_temp.txt


REM *** Check to see  if the JRE is a valid path
if not exist "%JRE%" (
   echo ERROR: Failed to locate a valid JRE.
   echo        Skipping automated post-install steps for activemq_jarfix_m8.xml.
   goto endfile
) 
echo JRE = %JRE%


REM *** Locate the SAS delivered version of ANT
for /d %%a in (
   "%SASHOMETEMP%\SASDeploymentManager\9.4\products\deploywiz*"
) do (
   set DEPLOYWIZ=%%~fa
)
set "ANTJARPATH=%DEPLOYWIZ%\deploywiz\ant-launcher.jar"

if not exist "%ANTJARPATH%" (
   echo ERROR: Failed to locate a valid installation of Ant.
   echo        Skipping automated post-install steps for activemq_jarfix_m8.xml.
   goto endfile
)
echo ANTJARPATH = %ANTJARPATH%


REM *** Execute the Ant script
if "%SCANFORCONFIG%" == "auto" (
   "%JRE%" -jar "%ANTJARPATH%" -buildfile activemq_jarfix_m8.xml -DSASHOME=%SASHOME% -DPLAT=WIN
) else (
   "%JRE%" -jar "%ANTJARPATH%" -buildfile activemq_jarfix_m8.xml -DSASHOME=%SASHOME% -DCONFIGLEVEL=%CONFIGLEVEL% -DPLAT=WIN
)

:endfile
endlocal
