@ECHO OFF
REM status_xmlfix.bat
REM Used as a wrapper for ant code status_xmlfix.xml. User passes in SASHome (and optionally Config-Lev) and script
REM passes the into the ant call to update <config-Lev>/ConfigData/status.xml.

if "%~1"=="" (
  echo "No parameter(SASHOME) was specified. Please try again"
  goto endfile
)
setlocal

REM HANDLE SASHOME PARAM
set SASHOME=%1%
set SASHOMETEMP=%SASHOME:"=%
if "%SASHOMETEMP:~-1%"=="\" set SASHOME=%SASHOMETEMP:~0,-1%

REM HANDLE SASCONFIG PARAM
if "%~2"=="" (
  set SCANFORCONFIG=auto
  echo Automatic Searching
) else (
  set SASCONFIG=%2%
  echo Config Directory entered manually
)

echo SASHOME= %SASHOME%
echo SASCONFIG= %SASCONFIG%

REM Locate the SAS delivered JRE for use:
findstr /b /c:"JREHOME" "%SASHOMETEMP%\sassw.config" > jre_temp.txt
set /p JRETEMP= < jre_temp.txt
set JRE=%JRETEMP:~8%
del jre_temp.txt

REM check to see  if the JRE is a valid path
if NOT EXIST "%JRE%" (
  echo JRE is invalid or doesn't exist. Skipping status_xmlfix.xml.
  goto endfile
)
echo JRE=%JRE%

REM Locate the SAS delivered version of ANT for use:
echo Searching for SASDeploymentManager in this SASHome location %SASHOMETEMP%

for /d %%a in (
  "%SASHOMETEMP%\SASDeploymentManager\9.4\products\deploywiz*"
) do (
  set foundpath=%%~fa
)

echo Using %foundpath%\deploywiz\ant-launcher.jar to launch ant scripts

REM execute ant script
if "%SCANFORCONFIG%" == "auto" (
  "%JRE%" -jar "%foundpath%\deploywiz\ant-launcher.jar" -buildfile status_xmlfix.xml -DSASHOME=%SASHOME% -DPLAT=WIN -verbose -debug
) else (
  "%JRE%" -jar "%foundpath%\deploywiz\ant-launcher.jar" -buildfile status_xmlfix.xml -DSASHOME=%SASHOME% -DSASCONFIG=%SASCONFIG% -DPLAT=WIN
)

:endfile
endlocal